Journal report
curl --request GET \
--url https://api.example.com/api/reports/journal \
--header 'Authorization: <authorization>' \
--header 'accept: <accept>' \
--header 'organization-id: <organization-id>'import requests
url = "https://api.example.com/api/reports/journal"
headers = {
"Authorization": "<authorization>",
"organization-id": "<organization-id>",
"accept": "<accept>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
Authorization: '<authorization>',
'organization-id': '<organization-id>',
accept: '<accept>'
}
};
fetch('https://api.example.com/api/reports/journal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/reports/journal",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>",
"accept: <accept>",
"organization-id: <organization-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/reports/journal"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
req.Header.Add("organization-id", "<organization-id>")
req.Header.Add("accept", "<accept>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/reports/journal")
.header("Authorization", "<authorization>")
.header("organization-id", "<organization-id>")
.header("accept", "<accept>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/reports/journal")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
request["organization-id"] = '<organization-id>'
request["accept"] = '<accept>'
response = http.request(request)
puts response.read_body{
"query": {
"from_date": "2025-06-01",
"to_date": "2025-06-21",
"from_range": null,
"to_range": null,
"accounts_ids": [],
"number_format": {
"no_cents": false,
"divide_on1000": false
}
},
"data": [
{
"date": "2025-05-24T22:00:00.000Z",
"date_formatted": "2025 May 25",
"transaction_type": "Expense",
"reference_id": 1000,
"reference_type_formatted": "Expense",
"entries": [
{
"index": 1,
"note": null,
"account_name": "Prepaid Expenses",
"account_code": "100010",
"transaction_number": null,
"formatted_credit": "123,123.00",
"formatted_debit": "",
"credit": 123123,
"debit": 0
},
{
"index": 2,
"note": "",
"account_name": "Exchange Gain or Loss",
"account_code": "40005",
"transaction_number": null,
"formatted_credit": "",
"formatted_debit": "123,123.00",
"credit": 0,
"debit": 123123
}
],
"credit": 123123,
"debit": 123123,
"formatted_credit": "$123,123.00",
"formatted_debit": "$123,123.00"
},
{
"date": "2025-06-09T22:00:00.000Z",
"date_formatted": "2025 Jun 10",
"transaction_type": "BillPayment",
"reference_id": 3,
"reference_type_formatted": "BillPayment",
"entries": [
{
"index": 1,
"note": null,
"contact_name": "business",
"contact_type": "customer",
"account_name": "Accounts Payable (A/P)",
"account_code": "20001",
"transaction_number": "",
"formatted_credit": "",
"formatted_debit": "500.00",
"credit": 0,
"debit": 500
},
{
"index": 2,
"note": null,
"account_name": "Bank Account",
"account_code": "10001",
"transaction_number": "",
"formatted_credit": "500.00",
"formatted_debit": "",
"credit": 500,
"debit": 0
}
],
"credit": 500,
"debit": 500,
"formatted_credit": "$500.00",
"formatted_debit": "$500.00"
},
{
"date": "2025-06-09T22:00:00.000Z",
"date_formatted": "2025 Jun 10",
"transaction_type": "VendorCredit",
"reference_id": 3,
"reference_type_formatted": "VendorCredit",
"entries": [
{
"index": 1,
"note": null,
"contact_name": "business",
"contact_type": "customer",
"account_name": "Accounts Payable (A/P)",
"account_code": "20001",
"transaction_number": "VC-00001",
"formatted_credit": "",
"formatted_debit": "100.00",
"credit": 0,
"debit": 100
},
{
"index": 2,
"note": null,
"account_name": "Cost of Goods Sold",
"account_code": "40002",
"transaction_number": "VC-00001",
"formatted_credit": "100.00",
"formatted_debit": "",
"credit": 100,
"debit": 0
}
],
"credit": 100,
"debit": 100,
"formatted_credit": "$100.00",
"formatted_debit": "$100.00"
},
{
"date": "2025-06-09T22:00:00.000Z",
"date_formatted": "2025 Jun 10",
"transaction_type": "VendorCredit",
"reference_id": 4,
"reference_type_formatted": "VendorCredit",
"entries": [
{
"index": 1,
"note": null,
"contact_name": "business",
"contact_type": "customer",
"account_name": "Accounts Payable (A/P)",
"account_code": "20001",
"transaction_number": "VC-00001",
"formatted_credit": "",
"formatted_debit": "100.00",
"credit": 0,
"debit": 100
},
{
"index": 2,
"note": null,
"account_name": "Cost of Goods Sold",
"account_code": "40002",
"transaction_number": "VC-00001",
"formatted_credit": "100.00",
"formatted_debit": "",
"credit": 100,
"debit": 0
}
],
"credit": 100,
"debit": 100,
"formatted_credit": "$100.00",
"formatted_debit": "$100.00"
},
{
"date": "2025-06-09T22:00:00.000Z",
"date_formatted": "2025 Jun 10",
"transaction_type": "Bill",
"reference_id": 4,
"reference_type_formatted": "Bill",
"entries": [
{
"index": 1,
"note": null,
"contact_name": "business",
"contact_type": "customer",
"account_name": "Accounts Payable (A/P)",
"account_code": "20001",
"transaction_number": null,
"formatted_credit": "1,000.00",
"formatted_debit": "",
"credit": 1000,
"debit": 0
},
{
"index": 1,
"note": null,
"account_name": "Cost of Goods Sold",
"account_code": "40002",
"transaction_number": null,
"formatted_credit": "",
"formatted_debit": "1,000.00",
"credit": 0,
"debit": 1000
}
],
"credit": 1000,
"debit": 1000,
"formatted_credit": "$1,000.00",
"formatted_debit": "$1,000.00"
},
{
"date": "2025-06-09T22:00:00.000Z",
"date_formatted": "2025 Jun 10",
"transaction_type": "Bill",
"reference_id": 5,
"reference_type_formatted": "Bill",
"entries": [
{
"index": 1,
"note": null,
"contact_name": "business",
"contact_type": "customer",
"account_name": "Accounts Payable (A/P)",
"account_code": "20001",
"transaction_number": null,
"formatted_credit": "1,000.00",
"formatted_debit": "",
"credit": 1000,
"debit": 0
},
{
"index": 1,
"note": null,
"account_name": "Inventory Asset",
"account_code": "10008",
"transaction_number": null,
"formatted_credit": "",
"formatted_debit": "1,000.00",
"credit": 0,
"debit": 1000
}
],
"credit": 1000,
"debit": 1000,
"formatted_credit": "$1,000.00",
"formatted_debit": "$1,000.00"
},
{
"date": "2025-06-15T22:00:00.000Z",
"date_formatted": "2025 Jun 16",
"transaction_type": "Journal",
"reference_id": 1017,
"reference_type_formatted": "Journal",
"entries": [
{
"index": 1,
"note": "",
"account_name": "Loan",
"account_code": "20003",
"transaction_number": "REF",
"formatted_credit": "",
"formatted_debit": "10,000.00",
"credit": 0,
"debit": 10000
},
{
"index": 2,
"note": "",
"account_name": "Depreciation Expense",
"account_code": "40007",
"transaction_number": "REF",
"formatted_credit": "10,000.00",
"formatted_debit": "",
"credit": 10000,
"debit": 0
}
],
"credit": 10000,
"debit": 10000,
"formatted_credit": "$10,000.00",
"formatted_debit": "$10,000.00"
}
],
"meta": {
"organization_name": "BIGCAPITAL, INC",
"base_currency": "USD",
"date_format": "DD MMM yyyy",
"is_cost_compute_running": false,
"sheet_name": "",
"formatted_date_range": "From 2025/06/01 | To 2025/06/21",
"formatted_from_date": "2025/06/01",
"formatted_to_date": "2025/06/21"
}
}Reports
Journal report
GET
/
api
/
reports
/
journal
Journal report
curl --request GET \
--url https://api.example.com/api/reports/journal \
--header 'Authorization: <authorization>' \
--header 'accept: <accept>' \
--header 'organization-id: <organization-id>'import requests
url = "https://api.example.com/api/reports/journal"
headers = {
"Authorization": "<authorization>",
"organization-id": "<organization-id>",
"accept": "<accept>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
Authorization: '<authorization>',
'organization-id': '<organization-id>',
accept: '<accept>'
}
};
fetch('https://api.example.com/api/reports/journal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/reports/journal",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>",
"accept: <accept>",
"organization-id: <organization-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/reports/journal"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
req.Header.Add("organization-id", "<organization-id>")
req.Header.Add("accept", "<accept>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/reports/journal")
.header("Authorization", "<authorization>")
.header("organization-id", "<organization-id>")
.header("accept", "<accept>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/reports/journal")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
request["organization-id"] = '<organization-id>'
request["accept"] = '<accept>'
response = http.request(request)
puts response.read_body{
"query": {
"from_date": "2025-06-01",
"to_date": "2025-06-21",
"from_range": null,
"to_range": null,
"accounts_ids": [],
"number_format": {
"no_cents": false,
"divide_on1000": false
}
},
"data": [
{
"date": "2025-05-24T22:00:00.000Z",
"date_formatted": "2025 May 25",
"transaction_type": "Expense",
"reference_id": 1000,
"reference_type_formatted": "Expense",
"entries": [
{
"index": 1,
"note": null,
"account_name": "Prepaid Expenses",
"account_code": "100010",
"transaction_number": null,
"formatted_credit": "123,123.00",
"formatted_debit": "",
"credit": 123123,
"debit": 0
},
{
"index": 2,
"note": "",
"account_name": "Exchange Gain or Loss",
"account_code": "40005",
"transaction_number": null,
"formatted_credit": "",
"formatted_debit": "123,123.00",
"credit": 0,
"debit": 123123
}
],
"credit": 123123,
"debit": 123123,
"formatted_credit": "$123,123.00",
"formatted_debit": "$123,123.00"
},
{
"date": "2025-06-09T22:00:00.000Z",
"date_formatted": "2025 Jun 10",
"transaction_type": "BillPayment",
"reference_id": 3,
"reference_type_formatted": "BillPayment",
"entries": [
{
"index": 1,
"note": null,
"contact_name": "business",
"contact_type": "customer",
"account_name": "Accounts Payable (A/P)",
"account_code": "20001",
"transaction_number": "",
"formatted_credit": "",
"formatted_debit": "500.00",
"credit": 0,
"debit": 500
},
{
"index": 2,
"note": null,
"account_name": "Bank Account",
"account_code": "10001",
"transaction_number": "",
"formatted_credit": "500.00",
"formatted_debit": "",
"credit": 500,
"debit": 0
}
],
"credit": 500,
"debit": 500,
"formatted_credit": "$500.00",
"formatted_debit": "$500.00"
},
{
"date": "2025-06-09T22:00:00.000Z",
"date_formatted": "2025 Jun 10",
"transaction_type": "VendorCredit",
"reference_id": 3,
"reference_type_formatted": "VendorCredit",
"entries": [
{
"index": 1,
"note": null,
"contact_name": "business",
"contact_type": "customer",
"account_name": "Accounts Payable (A/P)",
"account_code": "20001",
"transaction_number": "VC-00001",
"formatted_credit": "",
"formatted_debit": "100.00",
"credit": 0,
"debit": 100
},
{
"index": 2,
"note": null,
"account_name": "Cost of Goods Sold",
"account_code": "40002",
"transaction_number": "VC-00001",
"formatted_credit": "100.00",
"formatted_debit": "",
"credit": 100,
"debit": 0
}
],
"credit": 100,
"debit": 100,
"formatted_credit": "$100.00",
"formatted_debit": "$100.00"
},
{
"date": "2025-06-09T22:00:00.000Z",
"date_formatted": "2025 Jun 10",
"transaction_type": "VendorCredit",
"reference_id": 4,
"reference_type_formatted": "VendorCredit",
"entries": [
{
"index": 1,
"note": null,
"contact_name": "business",
"contact_type": "customer",
"account_name": "Accounts Payable (A/P)",
"account_code": "20001",
"transaction_number": "VC-00001",
"formatted_credit": "",
"formatted_debit": "100.00",
"credit": 0,
"debit": 100
},
{
"index": 2,
"note": null,
"account_name": "Cost of Goods Sold",
"account_code": "40002",
"transaction_number": "VC-00001",
"formatted_credit": "100.00",
"formatted_debit": "",
"credit": 100,
"debit": 0
}
],
"credit": 100,
"debit": 100,
"formatted_credit": "$100.00",
"formatted_debit": "$100.00"
},
{
"date": "2025-06-09T22:00:00.000Z",
"date_formatted": "2025 Jun 10",
"transaction_type": "Bill",
"reference_id": 4,
"reference_type_formatted": "Bill",
"entries": [
{
"index": 1,
"note": null,
"contact_name": "business",
"contact_type": "customer",
"account_name": "Accounts Payable (A/P)",
"account_code": "20001",
"transaction_number": null,
"formatted_credit": "1,000.00",
"formatted_debit": "",
"credit": 1000,
"debit": 0
},
{
"index": 1,
"note": null,
"account_name": "Cost of Goods Sold",
"account_code": "40002",
"transaction_number": null,
"formatted_credit": "",
"formatted_debit": "1,000.00",
"credit": 0,
"debit": 1000
}
],
"credit": 1000,
"debit": 1000,
"formatted_credit": "$1,000.00",
"formatted_debit": "$1,000.00"
},
{
"date": "2025-06-09T22:00:00.000Z",
"date_formatted": "2025 Jun 10",
"transaction_type": "Bill",
"reference_id": 5,
"reference_type_formatted": "Bill",
"entries": [
{
"index": 1,
"note": null,
"contact_name": "business",
"contact_type": "customer",
"account_name": "Accounts Payable (A/P)",
"account_code": "20001",
"transaction_number": null,
"formatted_credit": "1,000.00",
"formatted_debit": "",
"credit": 1000,
"debit": 0
},
{
"index": 1,
"note": null,
"account_name": "Inventory Asset",
"account_code": "10008",
"transaction_number": null,
"formatted_credit": "",
"formatted_debit": "1,000.00",
"credit": 0,
"debit": 1000
}
],
"credit": 1000,
"debit": 1000,
"formatted_credit": "$1,000.00",
"formatted_debit": "$1,000.00"
},
{
"date": "2025-06-15T22:00:00.000Z",
"date_formatted": "2025 Jun 16",
"transaction_type": "Journal",
"reference_id": 1017,
"reference_type_formatted": "Journal",
"entries": [
{
"index": 1,
"note": "",
"account_name": "Loan",
"account_code": "20003",
"transaction_number": "REF",
"formatted_credit": "",
"formatted_debit": "10,000.00",
"credit": 0,
"debit": 10000
},
{
"index": 2,
"note": "",
"account_name": "Depreciation Expense",
"account_code": "40007",
"transaction_number": "REF",
"formatted_credit": "10,000.00",
"formatted_debit": "",
"credit": 10000,
"debit": 0
}
],
"credit": 10000,
"debit": 10000,
"formatted_credit": "$10,000.00",
"formatted_debit": "$10,000.00"
}
],
"meta": {
"organization_name": "BIGCAPITAL, INC",
"base_currency": "USD",
"date_format": "DD MMM yyyy",
"is_cost_compute_running": false,
"sheet_name": "",
"formatted_date_range": "From 2025/06/01 | To 2025/06/21",
"formatted_from_date": "2025/06/01",
"formatted_to_date": "2025/06/21"
}
}Headers
Value must be 'Bearer ' where is an API key prefixed with 'bc_' or a JWT token.
Example:
"Bearer bc_1234567890abcdef"
Required if Authorization is a JWT token. The organization ID to operate within.
Query Parameters
Whether to hide cents in the number format
Example:
false
Whether to divide numbers by 1000
Example:
false
Type of transaction to filter
Example:
"payment"
ID of the transaction to filter
Example:
"TXN-12345"
Start range for filtering
Example:
100
End range for filtering
Example:
200